#ifndef _HF_CARD_
#define _HF_CARD_

#include <stdbool.h>
#include <raylib.h>

typedef struct Card Card;
#define CARD_WIDTH 63
#define CARD_HEIGHT 105
static Vector2 card_size = (Vector2) { CARD_WIDTH, CARD_HEIGHT };

typedef enum CardType {
  CHAFF,
  RIBBON,
  ANIMAL,
  BRIGHT,
} CardType;

typedef enum RibbonType {
  RIBBON_NONE,
  RIBBON_PLAIN,
  RIBBON_BLUE,
  RIBBON_POETRY,
} RibbonType;

struct Card {
  int index;
  CardType type;
  RibbonType ribbon_type;
  Vector2 position;
};

void draw_card(Card *c);

#endif
